Cómo utilizar la última versión de Flash que viene con Google Chrome en Firefox

Debido a que Google y Adobe firmaron un contrato de asociación, el explorador de Google viene con una versión de Flash incorporada que es más reciente que la disponible para descarga desde los repositorios de Ubuntu. Esto asegura un mejor rendimiento y una protección más fuerte contra los posibles intentos de hacer uso de las numerosísimas vulnerabilidades de Flash.


Para ver qué versión de Flash tenés instalada en el sistema y, al mismo tiempo, ver qué versión podrías tener al instalar Chrome, accedé directamente a esta página:

http://www.adobe.com/software/flash/about/

Allí aparecerá la versión que estás usando y las diferentes versiones disponibles según el explorador y el sistema operativo que utilices. Como surge claramente de la información disponible allí, Chrome siempre cuenta con las versiones más actualizadas de Flash.

El procedimiento a seguir

El truco es bastante sencillo, pero requiere que también tengas instalado Google Chrome para que funcione. Como esto no es un problema para muchos de nosotros, simplemente hace falta descargar el paquete DEB correspondiente e instalar Google Chrome en nuestro sistema.

Nota: no sé si todavía sigue vigente, pero al instalar este paquete DEB, se solían agregar los repositorios de Google a la lista de tus repositorios. Lo aclaro porque a muchos de Uds. puede no que eso no les guste ni medio.

1.- Abrí un terminal y navegá a la siguiente carpeta:

cd /usr/lib/firefox-addons/plugins

2.- Creá un link que conecte al reproductor Flash de Chrome con el de Firefox:

sudo ln -s /opt/google/chrome/libgcflashplayer.so ./

3.- Abrí Firefox Herramientas > Complementos > Extensiones y deshabilitá la versión de Flash que viene por defecto.

Listo. A partir de ahora vas a poder disfrutar del último reproductor de Flash también en Firefox, siempre y cuando mantengas actualizado Chrome.

Nota: en caso de que te estuvieras preguntando, este truco NO funciona con Chromium.

Fuente: OMG! Ubuntu


5 comentarios

  1. yo, que uso Ubuntu MM 10.10 AMD64 tengo la libflashplayer.so en /usr/bin/flashplugininstaller
    10.1.102.65 instalada, siendo la 10.1.103.19 la de chrome según la página, pero en
    /opt/google/chrome 7.0.517.44 no me aparece el archivo libgcflashplayer.so
    ¿Como se baja? ¿el procedimeinto es similar? El bavegador que mejor me va es Opera y estoy probando minefield,

  2.   Usemos Linux dijo

    Será porque en vez de Chrome tenés instalado Chromium?
    Si tenés Chrome instalado corré el siguiente comando para descubrir dónde se encuentra el archivo libgcflashplayer.so

    locate libgcflashplayer.so

  3. Solución para AMD64, y de no abrirme en pantalla completa los videos a abrírlos o sea que va bien

    Actualmente en la versión, beta, 10.3.162.29 Linux 64 bits

    desvargar flashplayer10_2_p3_64bit_linux_111710.tar.gz desde

    http://labs.adobe.com/downloads/flashplayer10_square.html

    sudo nautilus

    ir a usr/bin/flashplugininstaller

    borrar

    libflashplayer.so

    abrir como administrador flashplayer10_2_p3_64bit_linux_111710.tar.g

    extraer kibflashplayer.so en esa misma ubicación

    abrir un navegador e ir a http://www.adobe.com/software/flash/about/

    para comprovar la versión.

    PROBABLEMENTE TAMBIÉN FUNCINE CON INTEL 64, AUNQUE NO LO HE PROBADO

    PS: NO DESINSTALAR DESDE SYNAPTIC

    lo he hecho luego y he tenido que repetir, supongo que al ver una versión superior instalada no lo actualiza – en este caso desactualiza – y he probado a actualizar a posteriori y así ha sido.

    igual es motivo de otra entrada, ¿como instalar flash de 64 bits en linux 64? aunque me ha venido excelentemente la entrada para actualizar esta libreria que me estaba dando problemas con poner en pantalla completa Salvados y Dr. Mateo, y con juegatu, en el que me gusta matar ratos de vez en cuando jugando al dominó o al chinchón.

  4. No es por eso en AMD64 chrome (tengo los dos instaldos chrome y chromium) no instala el plugin de flash, aun así siguiendo los pasos de mi autorespuesta, tengo una versión, aunque beta, más avanzada, que me va mejor que la de ubuntu que es de 32 bits

  5.   danny López dijo

    pues hice todo lo que dice acá pero el problema es que ahora donde se supone que debería ir el flash me aparece un letrero que me dice que el plugin esta desactivado…
    osea esa no es la idea?
    😛
    :S

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

*

*

  1. Responsable de los datos: Miguel Ángel Gatón
  2. Finalidad de los datos: Controlar el SPAM, gestión de comentarios.
  3. Legitimación: Tu consentimiento
  4. Comunicación de los datos: No se comunicarán los datos a terceros salvo por obligación legal.
  5. Almacenamiento de los datos: Base de datos alojada en Occentus Networks (UE)
  6. Derechos: En cualquier momento puedes limitar, recuperar y borrar tu información.